# Uses of Class
com.logicaldoc.core.document.Rating

Packages that use Rating
Package
Description
com.logicaldoc.core.document
Contains the definitions of `Document` and `Version` as well as other related objects

## Uses of Rating in com.logicaldoc.core.document

Methods in com.logicaldoc.core.document that return Rating
Modifier and Type
Method
Description
`Rating`
HibernateRatingDAO.`findByDocIdAndUserId(long docId, long userId)`
`Rating`
RatingDAO.`findByDocIdAndUserId(long docId, long userId)`
Finds the rating for the given user id and the given document id
`Rating`
HibernateRatingDAO.`findVotesByDocId(long docId)`
`Rating`
RatingDAO.`findVotesByDocId(long docId)`
Returns a rating that contains count and average of vote on the given document
Methods in com.logicaldoc.core.document that return types with arguments of type Rating
Modifier and Type
Method
Description
`List<Rating>`
HibernateRatingDAO.`findByDocId(long docId)`
`List<Rating>`
RatingDAO.`findByDocId(long docId)`
Finds the ratings stored for the given document id
Methods in com.logicaldoc.core.document with parameters of type Rating
Modifier and Type
Method
Description
`void`
HibernateRatingDAO.`store(Rating rating, DocumentHistory transaction)`
`void`
RatingDAO.`store(Rating rating, DocumentHistory transaction)`
Stores a rating and saves the document's history